package cn.dankal.share.condition;

import cn.dankal.share.entity.Study;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.ComponentScan;
import org.springframework.context.annotation.Conditional;
import org.springframework.context.annotation.Configuration;

/**
 * {@link Configuration}
 * RegisterConditionConfig
 *
 * @author ZGH.MercyModest
 * @version V1.0.0
 * @create 2020/11/24
 */
@ComponentScan(basePackages = {"cn.dankal.share.condition"})
public class RegisterConditionConfig {

    @Bean
    @Conditional(RegisterBeanCondition.class)
    public Study study(){
        return new Study()
                .setSubjectName("Spring编程思想")
                .setSubjectHour(15)
                .setSubjectDesc("循序渐进，熟读精思");
    }
}
