package cn.dankal.share.entity;

import lombok.Data;
import lombok.experimental.Accessors;

/**
 * {@link Data}  {@link Accessors}
 * Study
 *
 * @author ZGH.MercyModest
 * @version V1.0.0
 * @create 2020/11/23
 */
@Data
@Accessors(chain = true)
public class Study {

    /**
     * 学习课程
     */
    private String subjectName;

    /**
     * 课时
     */
    private Integer subjectHour;

    /**
     * 学习详情
     */
    private String subjectDesc;

    public Study() {
        System.out.println("init by  Study nonArgsConstruct ... ...");
    }

    public void init() {
        System.out.println("init: --> invoke the  study  init method");
    }

    public void destroy() {
        System.out.println("destroy: --> invoke the study destroy method");
    }
}
