package cn.dankal.share.entity;

import org.springframework.beans.factory.DisposableBean;
import org.springframework.beans.factory.InitializingBean;

/**
 * Subject
 *
 * @author ZGH.MercyModest
 * @version V1.0.0
 * @create 2020/11/25
 */
public class Subject implements InitializingBean, DisposableBean {

    public Subject() {
        System.out.println("Subject  ==> Construct");
    }

    @Override
    public void afterPropertiesSet() throws Exception {
        System.out.println("Subject ==> afterPropertiesSet()");
    }

    @Override
    public void destroy() throws Exception {
        System.out.println("Subject  ==> destroy()");
    }
}
