package cn.dankal.share.beanpostprocessor;

import cn.dankal.share.entity.Person;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Import;

/**
 * {@link Import}  {@link BaseBeanPostProcessor}
 * BeanPostProcessorConfig
 *
 * @author ZGH.MercyModest
 * @version V1.0.0
 * @create 2020/11/25
 */
@Import(BaseBeanPostProcessor.class)
public class BeanPostProcessorConfig {
    @Bean
    public Person person() {
        return new Person();
    }
}
