package cn.dankal.share.imports;

import org.springframework.context.annotation.ImportSelector;
import org.springframework.core.type.AnnotationMetadata;

/**
 * {@link ImportSelector}
 * CoreBeanImportSelector
 *
 * @author ZGH.MercyModest
 * @version V1.0.0
 * @create 2020/11/24
 */
public class CoreBeanImportSelector implements ImportSelector {
    @Override
    public String[] selectImports(AnnotationMetadata importingClassMetadata) {
        //  不能返回null,会报错
        //return null;
        // 返回需要注册的类的全类名 数组
        return new String[]{"cn.dankal.share.entity.Study","cn.dankal.share.scope.SubjectMapper"};
    }
}
