package cn.dankal.share.scope;

import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Repository;

/**
 * {@link StudyMapper}
 * StudyMapper
 *
 * @author ZGH.MercyModest
 * @version V1.0.0
 * @create 2020/11/24
 */
@Scope(scopeName = "prototype")
@Repository
public class StudyMapper {

    public StudyMapper() {
        System.out.println("StudyMapper init by Construct");
    }

    public void init() {
        System.out.println("初始化  --> StudyMapper");
    }

    public void destroy() {
        System.out.println("销毁 --> StudyMapper");
    }
}
